diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/tcsxml/in/TcsXmlSpecimensImport.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/tcsxml/in/TcsXmlSpecimensImport.java
index 4f5f795d48..213a33aea0 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/tcsxml/in/TcsXmlSpecimensImport.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/tcsxml/in/TcsXmlSpecimensImport.java
@@ -23,7 +23,7 @@ import eu.etaxonomy.cdm.io.common.IImportConfigurator;
 import eu.etaxonomy.cdm.io.common.MapWrapper;
 import eu.etaxonomy.cdm.model.agent.Institution;
 import eu.etaxonomy.cdm.model.occurrence.Collection;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 
 /**
  * @author a.mueller
@@ -67,7 +67,7 @@ public class TcsXmlSpecimensImport extends TcsXmlImportBase implements ICdmIO<Tc
 	public void doInvoke(TcsXmlImportState state){
 		logger.info("start make Specimens ...");
 		
-		MapWrapper<Specimen> specimenMap = (MapWrapper<Specimen>)state.getStore(ICdmIO.SPECIMEN_STORE);
+		MapWrapper<DerivedUnit> specimenMap = (MapWrapper<DerivedUnit>)state.getStore(ICdmIO.SPECIMEN_STORE);
 
 		boolean success = true;
 		String childName;
@@ -104,7 +104,7 @@ public class TcsXmlSpecimensImport extends TcsXmlImportBase implements ICdmIO<Tc
 			Element elSimple = doubleResult.getFirstResult();
 
 			String simple = elSimple.getTextNormalize();
-			Specimen specimen = Specimen.NewInstance();
+			DerivedUnit specimen = DerivedUnit.NewPreservedSpecimenInstance();
 			specimen.setTitleCache(simple, true);
 			
 			
@@ -144,7 +144,7 @@ public class TcsXmlSpecimensImport extends TcsXmlImportBase implements ICdmIO<Tc
 
 	}
 	
-	private boolean makeInstitution(Specimen specimen, Element elInstitution){
+	private boolean makeInstitution(DerivedUnit specimen, Element elInstitution){
 		boolean success = true;
 		Institution institution = null;
 		if (specimen == null){
@@ -219,7 +219,7 @@ public class TcsXmlSpecimensImport extends TcsXmlImportBase implements ICdmIO<Tc
 		return success;
 	}
 	
-	private boolean makeCollection(Specimen specimen, Element elCollection){
+	private boolean makeCollection(DerivedUnit specimen, Element elCollection){
 		boolean success = true;
 		Collection  collection = null;
 		if (elCollection != null){
@@ -232,14 +232,14 @@ public class TcsXmlSpecimensImport extends TcsXmlImportBase implements ICdmIO<Tc
 		return success;
 	}
 	
-	private boolean makeSpecimenItem(Specimen specimen, Element elSpecimenItem){
+	private boolean makeSpecimenItem(DerivedUnit specimen, Element elSpecimenItem){
 		boolean success = true;
 		Namespace ns = elSpecimenItem.getNamespace();
 		if (specimen == null){
 			logger.warn("No specimen");
 			return false;
 		}else if (elSpecimenItem != null){
-			
+			logger.warn("not yet implemented");
 			//TODO specimenItem placeholder 
 			
 		}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/tcsxml/in/TcsXmlTaxonNameImport.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/tcsxml/in/TcsXmlTaxonNameImport.java
index c318c6f640..fc57958f41 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/tcsxml/in/TcsXmlTaxonNameImport.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/tcsxml/in/TcsXmlTaxonNameImport.java
@@ -223,7 +223,7 @@ public class TcsXmlTaxonNameImport extends TcsXmlImportBase implements ICdmIO<Tc
 		Rank stringRank = null;
 		try {
 			boolean useUnknown = true;
-			stringRank = Rank.getRankByNameOrAbbreviation(strRankString, useUnknown);
+			stringRank = Rank.getRankByNameOrIdInVoc(strRankString, useUnknown);
 		} catch (UnknownCdmTypeException e1) {
 			//does not happen because of useUnknown = true
 		}
diff --git a/cdmlib-io/src/main/resources/schema/cdm/agent.xsd b/cdmlib-io/src/main/resources/schema/cdm/agent.xsd
index 83216e49b2..8d7a90b147 100644
--- a/cdmlib-io/src/main/resources/schema/cdm/agent.xsd
+++ b/cdmlib-io/src/main/resources/schema/cdm/agent.xsd
@@ -19,8 +19,6 @@ targetNamespace="http://etaxonomy.eu/cdm/model/agent/1.0"
 
   <xs:element name="Institution" type="agent:Institution"/>
 
-  <xs:element name="InstitutionType" type="agent:InstitutionType"/>
-
   <xs:element name="InstitutionalMembership" type="agent:InstitutionalMembership"/>
 
   <xs:element name="Person" type="agent:Person"/>
@@ -103,14 +101,6 @@ targetNamespace="http://etaxonomy.eu/cdm/model/agent/1.0"
     </xs:complexContent>
   </xs:complexType>
 
-  <xs:complexType name="InstitutionType">
-    <xs:complexContent>
-      <xs:extension base="common:DefinedTermBase">
-        <xs:sequence/>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
   <xs:complexType name="Contact">
     <xs:sequence>
       <xs:element name="EmailAddresses" minOccurs="0" nillable="true">
diff --git a/cdmlib-io/src/main/resources/schema/cdm/cdm.xsd b/cdmlib-io/src/main/resources/schema/cdm/cdm.xsd
index 4b3403769a..ee608d22cb 100644
--- a/cdmlib-io/src/main/resources/schema/cdm/cdm.xsd
+++ b/cdmlib-io/src/main/resources/schema/cdm/cdm.xsd
@@ -68,13 +68,11 @@ http://www.w3.org/2001/XMLSchema
             <xs:choice minOccurs="0" maxOccurs="unbounded">
               <xs:element ref="description:AbsenceTerm"/>
               <xs:element ref="common:AnnotationType"/>
-              <xs:element ref="location:Continent"/>
               <xs:element ref="occurrence:DerivationEventType"/>
               <xs:element ref="occurrence:DeterminationModifier"/>
               <xs:element ref="common:ExtensionType"/>
               <xs:element ref="description:Feature"/>
               <xs:element ref="name:HybridRelationshipType"/>
-              <xs:element ref="agent:InstitutionType"/>
               <xs:element ref="common:Language"/>
               <xs:element ref="common:MarkerType"/>
               <xs:element ref="description:MeasurementUnit"/>
@@ -90,7 +88,7 @@ http://www.w3.org/2001/XMLSchema
               <xs:element ref="occurrence:PreservationMethod"/>
               <xs:element ref="name:Rank"/>
               <xs:element ref="location:ReferenceSystem"/>
-              <xs:element ref="media:RightsTerm"/>
+              <xs:element ref="media:RightsType"/>
               <xs:element ref="description:Scope"/>
               <xs:element ref="description:Sex"/>
               <xs:element ref="name:SpecimenTypeDesignationStatus"/>
@@ -100,7 +98,7 @@ http://www.w3.org/2001/XMLSchema
               <xs:element ref="taxon:SynonymRelationshipType"/>
               <xs:element ref="taxon:TaxonRelationshipType"/>
               <xs:element ref="description:TextFormat"/>
-              <xs:element ref="location:WaterbodyOrCountry"/>
+              <xs:element ref="location:Country"/>
             </xs:choice>
           </xs:sequence>
         </xs:complexType>
@@ -139,11 +137,7 @@ http://www.w3.org/2001/XMLSchema
             <xs:choice minOccurs="0" maxOccurs="unbounded">
               <xs:element ref="occurrence:DerivedUnit"/>
               <xs:element ref="occurrence:DnaSample"/>
-              <xs:element ref="occurrence:FieldObservation"/>
-              <xs:element ref="occurrence:Fossil"/>
-              <xs:element ref="occurrence:LivingBeing"/>
-              <xs:element ref="occurrence:Observation"/>
-              <xs:element ref="occurrence:Specimen"/>
+              <xs:element ref="occurrence:FieldUnit"/>
             </xs:choice>
           </xs:sequence>
         </xs:complexType>
diff --git a/cdmlib-io/src/main/resources/schema/cdm/common.xsd b/cdmlib-io/src/main/resources/schema/cdm/common.xsd
index 67f6399585..1e5dce588e 100644
--- a/cdmlib-io/src/main/resources/schema/cdm/common.xsd
+++ b/cdmlib-io/src/main/resources/schema/cdm/common.xsd
@@ -398,7 +398,7 @@
           <xs:element name="Commentator" type="xs:IDREF" minOccurs="0"/>
           <xs:element name="AnnotatedObject" type="xs:IDREF" minOccurs="0"/>
           <xs:element name="AnnotationType" type="xs:IDREF" minOccurs="0"/>
-          <xs:element name="LinkbackURL" type="xs:anyURI" minOccurs="0"/>
+          <xs:element name="LinkbackUri" type="xs:anyURI" minOccurs="0"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
diff --git a/cdmlib-io/src/main/resources/schema/cdm/description.xsd b/cdmlib-io/src/main/resources/schema/cdm/description.xsd
index c8f170d642..5f5374231e 100644
--- a/cdmlib-io/src/main/resources/schema/cdm/description.xsd
+++ b/cdmlib-io/src/main/resources/schema/cdm/description.xsd
@@ -99,7 +99,6 @@ xmlns:name="http://etaxonomy.eu/cdm/model/name/1.0">
     <xs:complexContent>
       <xs:extension base="common:TermBase">
         <xs:sequence>
-          <xs:element name="IsDescriptionSeparated" type="xs:boolean"/>
           <xs:element name="Root" type="description:FeatureNode" minOccurs="0"/>
         </xs:sequence>
       </xs:extension>
diff --git a/cdmlib-io/src/main/resources/schema/cdm/location.xsd b/cdmlib-io/src/main/resources/schema/cdm/location.xsd
index 3632ad82dc..c0461b2fc2 100644
--- a/cdmlib-io/src/main/resources/schema/cdm/location.xsd
+++ b/cdmlib-io/src/main/resources/schema/cdm/location.xsd
@@ -10,8 +10,6 @@ xmlns:xs="http://www.w3.org/2001/XMLSchema">
 
   <xs:import namespace="http://etaxonomy.eu/cdm/model/media/1.0" schemaLocation="media.xsd"/>
 
-  <xs:element name="Continent" type="location:Continent"/>
-
   <xs:element name="NamedArea" type="location:NamedArea"/>
 
   <xs:element name="NamedAreaLevel" type="location:NamedAreaLevel"/>
@@ -24,9 +22,9 @@ xmlns:xs="http://www.w3.org/2001/XMLSchema">
 
   <xs:element name="TdwgArea" type="location:TdwgArea"/>
 
-  <xs:element name="WaterbodyOrCountry" type="location:WaterbodyOrCountry"/>
+  <xs:element name="Country" type="location:Country"/>
 
-  <xs:complexType name="WaterbodyOrCountry">
+  <xs:complexType name="Country">
     <xs:complexContent>
       <xs:extension base="location:NamedArea">
         <xs:sequence>
@@ -54,10 +52,10 @@ xmlns:xs="http://www.w3.org/2001/XMLSchema">
           <xs:element name="ValidPeriod" type="common:TimePeriod" minOccurs="0"/>
           <xs:element name="Shape" type="xs:IDREF" minOccurs="0"/>
           <xs:element name="PointApproximation" type="location:Point" minOccurs="0"/>
-          <xs:element name="WaterbodiesOrCountries" minOccurs="0">
+          <xs:element name="Countries" minOccurs="0">
             <xs:complexType>
               <xs:sequence>
-                <xs:element name="WaterbodiesOrCountry" type="xs:IDREF" minOccurs="0" maxOccurs="unbounded"/>
+                <xs:element name="Country" type="xs:IDREF" minOccurs="0" maxOccurs="unbounded"/>
               </xs:sequence>
             </xs:complexType>
           </xs:element>
@@ -68,14 +66,6 @@ xmlns:xs="http://www.w3.org/2001/XMLSchema">
     </xs:complexContent>
   </xs:complexType>
 
-  <xs:complexType name="Continent">
-    <xs:complexContent>
-      <xs:extension base="location:NamedArea">
-        <xs:sequence/>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
   <xs:complexType name="Point">
     <xs:sequence>
       <xs:element name="Longitude" type="xs:double" minOccurs="0"/>
diff --git a/cdmlib-io/src/main/resources/schema/cdm/media.xsd b/cdmlib-io/src/main/resources/schema/cdm/media.xsd
index d2a6bad374..afde84fa8b 100644
--- a/cdmlib-io/src/main/resources/schema/cdm/media.xsd
+++ b/cdmlib-io/src/main/resources/schema/cdm/media.xsd
@@ -25,7 +25,7 @@ xmlns:xs="http://www.w3.org/2001/XMLSchema">
 
   <xs:element name="Rights" type="media:Rights"/>
 
-  <xs:element name="RightsTerm" type="media:RightsTerm"/>
+  <xs:element name="RightsType" type="media:RightsType"/>
 
   <xs:complexType name="Media">
     <xs:complexContent>
@@ -76,7 +76,7 @@ xmlns:xs="http://www.w3.org/2001/XMLSchema">
     </xs:complexContent>
   </xs:complexType>
 
-  <xs:complexType name="RightsTerm">
+  <xs:complexType name="RightsType">
     <xs:complexContent>
       <xs:extension base="common:DefinedTermBase">
         <xs:sequence/>
diff --git a/cdmlib-io/src/main/resources/schema/cdm/molecular.xsd b/cdmlib-io/src/main/resources/schema/cdm/molecular.xsd
index 7fe091550c..3f6321b6d3 100644
--- a/cdmlib-io/src/main/resources/schema/cdm/molecular.xsd
+++ b/cdmlib-io/src/main/resources/schema/cdm/molecular.xsd
@@ -18,8 +18,6 @@ xmlns:xs="http://www.w3.org/2001/XMLSchema">
 
   <xs:element name="DnaSample" type="molecular:DnaSample"/>
 
-  <xs:element name="GenBankAccession" type="molecular:GenBankAccession"/>
-
   <xs:element name="Locus" type="molecular:Locus"/>
 
   <xs:element name="PhylogeneticTree" type="molecular:PhylogeneticTree"/>
@@ -28,7 +26,7 @@ xmlns:xs="http://www.w3.org/2001/XMLSchema">
 
   <xs:complexType name="DnaSample">
     <xs:complexContent>
-      <xs:extension base="occurrence:Specimen">
+      <xs:extension base="occurrence:DerivedUnit">
         <xs:sequence>
           <xs:element name="Sequences" minOccurs="0">
             <xs:complexType>
@@ -59,13 +57,6 @@ xmlns:xs="http://www.w3.org/2001/XMLSchema">
               </xs:sequence>
             </xs:complexType>
           </xs:element>
-          <xs:element name="GenBankAccessions" minOccurs="0">
-            <xs:complexType>
-              <xs:sequence>
-                <xs:element ref="molecular:GenBankAccession" minOccurs="0" maxOccurs="unbounded"/>
-              </xs:sequence>
-            </xs:complexType>
-          </xs:element>
           <xs:element name="Chromatograms" minOccurs="0">
             <xs:complexType>
               <xs:sequence>
@@ -90,17 +81,6 @@ xmlns:xs="http://www.w3.org/2001/XMLSchema">
     </xs:complexContent>
   </xs:complexType>
 
-  <xs:complexType name="GenBankAccession">
-    <xs:complexContent>
-      <xs:extension base="common:VersionableEntity">
-        <xs:sequence>
-          <xs:element name="AccessionNumber" type="xs:string" minOccurs="0"/>
-          <xs:element name="URI" type="xs:string" minOccurs="0"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
   <xs:complexType name="PhylogeneticTree">
     <xs:complexContent>
       <xs:extension base="media:ReferencedMedia">
diff --git a/cdmlib-io/src/main/resources/schema/cdm/occurrence.xsd b/cdmlib-io/src/main/resources/schema/cdm/occurrence.xsd
index e50a36e36c..4b19d8d1e1 100644
--- a/cdmlib-io/src/main/resources/schema/cdm/occurrence.xsd
+++ b/cdmlib-io/src/main/resources/schema/cdm/occurrence.xsd
@@ -37,9 +37,7 @@ xmlns:reference="http://etaxonomy.eu/cdm/model/reference/1.0">
 
   <xs:element name="DerivationEventType" type="occurrence:DerivationEventType"/>
 
-  <xs:element name="DerivedUnit" type="occurrence:derivedUnit"/>
-
-  <xs:element name="DerivedUnitBase" type="occurrence:DerivedUnitBase"/>
+  <xs:element name="DerivedUnit" type="occurrence:DerivedUnit"/>
 
   <xs:element name="DeterminationEvent" type="occurrence:DeterminationEvent"/>
 
@@ -47,23 +45,15 @@ xmlns:reference="http://etaxonomy.eu/cdm/model/reference/1.0">
 
   <xs:element name="DnaSample" type="molecular:DnaSample"/>
 
-  <xs:element name="FieldObservation" type="occurrence:FieldObservation"/>
-
-  <xs:element name="Fossil" type="occurrence:Fossil"/>
+  <xs:element name="FieldUnit" type="occurrence:FieldUnit"/>
 
   <xs:element name="GatheringEvent" type="occurrence:GatheringEvent"/>
 
-  <xs:element name="LivingBeing" type="occurrence:LivingBeing"/>
-
-  <xs:element name="Observation" type="occurrence:Observation"/>
-
   <xs:element name="PreservationMethod" type="occurrence:PreservationMethod"/>
 
-  <xs:element name="Specimen" type="occurrence:Specimen"/>
-
   <xs:element name="SpecimenOrObservationBase" type="occurrence:SpecimenOrObservationBase"/>
 
-  <xs:complexType name="DerivedUnitBase" abstract="true">
+  <xs:complexType name="DerivedUnit" abstract="true">
     <xs:complexContent>
       <xs:extension base="occurrence:SpecimenOrObservationBase">
         <xs:sequence>
@@ -73,13 +63,15 @@ xmlns:reference="http://etaxonomy.eu/cdm/model/reference/1.0">
           <xs:element name="DerivedFrom" type="xs:IDREF" minOccurs="0"/>
           <xs:element name="AccessionNumber" type="xs:string" minOccurs="0"/>
           <xs:element name="CollectorsNumber" type="xs:string" minOccurs="0"/>
+          <xs:element name="Preservation" type="xs:IDREF" minOccurs="0"/>
+          <xs:element name="Exsiccatum" type="xs:string" minOccurs="0"/>
           <xs:element name="SpecimenTypeDesignations" minOccurs="0">
-           <xs:complexType>
+          <xs:complexType>
               <xs:sequence>
                 <xs:element name="SpecimenTypeDesignation" type="name:SpecimenTypeDesignation" minOccurs="0" maxOccurs="unbounded"/>
               </xs:sequence>
-            </xs:complexType>
-            </xs:element>
+          	</xs:complexType>
+          </xs:element>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
@@ -202,25 +194,7 @@ xmlns:reference="http://etaxonomy.eu/cdm/model/reference/1.0">
     </xs:complexContent>
   </xs:complexType>
 
-  <xs:complexType name="derivedUnit">
-    <xs:complexContent>
-      <xs:extension base="occurrence:DerivedUnitBase">
-        <xs:sequence/>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="Specimen">
-    <xs:complexContent>
-      <xs:extension base="occurrence:DerivedUnitBase">
-        <xs:sequence>
-          <xs:element name="Preservation" type="xs:IDREF" minOccurs="0"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="FieldObservation">
+  <xs:complexType name="FieldUnit">
     <xs:complexContent>
       <xs:extension base="occurrence:SpecimenOrObservationBase">
         <xs:sequence>
@@ -254,29 +228,5 @@ xmlns:reference="http://etaxonomy.eu/cdm/model/reference/1.0">
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
-
-  <xs:complexType name="Fossil">
-    <xs:complexContent>
-      <xs:extension base="occurrence:Specimen">
-        <xs:all/>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="LivingBeing">
-    <xs:complexContent>
-      <xs:extension base="occurrence:DerivedUnitBase">
-        <xs:all/>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="Observation">
-    <xs:complexContent>
-      <xs:extension base="occurrence:DerivedUnitBase">
-        <xs:sequence/>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-</xs:schema>
+</xs:schema> 
 
diff --git a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/excel/stream/ExcelStreamImportTest.java b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/excel/stream/ExcelStreamImportTest.java
index de33fe0751..081dcf3223 100644
--- a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/excel/stream/ExcelStreamImportTest.java
+++ b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/excel/stream/ExcelStreamImportTest.java
@@ -16,14 +16,8 @@ import static org.junit.Assert.assertTrue;
 
 import java.net.URISyntaxException;
 import java.net.URL;
-import java.util.ArrayList;
-import java.util.HashSet;
-import java.util.Iterator;
 import java.util.List;
 import java.util.Set;
-import java.util.UUID;
-
-import junit.framework.Assert;
 
 import org.apache.log4j.Logger;
 import org.junit.Before;
@@ -32,7 +26,6 @@ import org.unitils.dbunit.annotation.DataSet;
 import org.unitils.spring.annotation.SpringBeanByName;
 import org.unitils.spring.annotation.SpringBeanByType;
 
-import eu.etaxonomy.cdm.api.service.DescriptionServiceImpl;
 import eu.etaxonomy.cdm.api.service.IClassificationService;
 import eu.etaxonomy.cdm.api.service.IDescriptionService;
 import eu.etaxonomy.cdm.api.service.INameService;
@@ -41,28 +34,17 @@ import eu.etaxonomy.cdm.api.service.ITermService;
 import eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport;
 import eu.etaxonomy.cdm.io.common.IImportConfigurator;
 import eu.etaxonomy.cdm.io.common.events.LoggingIoObserver;
-import eu.etaxonomy.cdm.io.excel.stream.ExcelStreamImportConfigurator;
-import eu.etaxonomy.cdm.model.common.AnnotatableEntity;
 import eu.etaxonomy.cdm.model.common.Annotation;
 import eu.etaxonomy.cdm.model.common.CdmBase;
-import eu.etaxonomy.cdm.model.common.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.common.IdentifiableSource;
-import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.LanguageString;
 import eu.etaxonomy.cdm.model.description.CommonTaxonName;
 import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
 import eu.etaxonomy.cdm.model.description.Distribution;
-import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.description.TextData;
 import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
-import eu.etaxonomy.cdm.model.name.NonViralName;
-import eu.etaxonomy.cdm.model.name.TaxonNameBase;
-import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.taxon.Classification;
-import eu.etaxonomy.cdm.model.taxon.Synonym;
-import eu.etaxonomy.cdm.model.taxon.Taxon;
-import eu.etaxonomy.cdm.model.taxon.TaxonBase;
 import eu.etaxonomy.cdm.model.taxon.TaxonNode;
 import eu.etaxonomy.cdm.test.integration.CdmTransactionalIntegrationTest;
 
@@ -101,14 +83,14 @@ public class ExcelStreamImportTest extends CdmTransactionalIntegrationTest{
 		String inputFile = "/eu/etaxonomy/cdm/io/excel/stream/ExcelStreamImport-TestInput.xls";
 		URL url = this.getClass().getResource(inputFile);
 	 	assertNotNull("URL for the test file '" + inputFile + "' does not exist", url);
-		configurator = ExcelStreamImportConfigurator.NewInstance(url.toURI(), null, NomenclaturalCode.ICBN, null);
+		configurator = ExcelStreamImportConfigurator.NewInstance(url.toURI(), null, NomenclaturalCode.ICNAFP, null);
 		assertNotNull("Configurator could not be created", configurator);
 		configurator.addObserver(new LoggingIoObserver());
 		
 		inputFile = "/eu/etaxonomy/cdm/io/excel/taxa/NormalExplicitImportTest.testUuid-input.xls";
 		url = this.getClass().getResource(inputFile);
 	 	assertNotNull("URL for the test file '" + inputFile + "' does not exist", url);
-		uuidConfigurator = ExcelStreamImportConfigurator.NewInstance(url.toURI(), null, NomenclaturalCode.ICBN, null);
+		uuidConfigurator = ExcelStreamImportConfigurator.NewInstance(url.toURI(), null, NomenclaturalCode.ICNAFP, null);
 		assertNotNull("Configurator could not be created", configurator);
 		
 	}
@@ -130,7 +112,7 @@ public class ExcelStreamImportTest extends CdmTransactionalIntegrationTest{
 		List<Classification> treeList = classificationService.list(null, null,null,null,null);
 		assertEquals("Number of classifications should be 1", 1, treeList.size());
 		Classification tree = treeList.get(0);
-		Set<TaxonNode> rootNodes = tree.getChildNodes();
+		List<TaxonNode> rootNodes = tree.getChildNodes();
 		assertEquals("Number of root nodes should be 1", 1, rootNodes.size());
 		TaxonNode rootNode = rootNodes.iterator().next();
 		
diff --git a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/excel/taxa/NormalExplicitImportTest.java b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/excel/taxa/NormalExplicitImportTest.java
index 511eae16ae..f4fa81c12c 100644
--- a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/excel/taxa/NormalExplicitImportTest.java
+++ b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/excel/taxa/NormalExplicitImportTest.java
@@ -38,11 +38,11 @@ import eu.etaxonomy.cdm.api.service.ITermService;
 import eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport;
 import eu.etaxonomy.cdm.io.common.IImportConfigurator;
 import eu.etaxonomy.cdm.model.common.CdmBase;
-import eu.etaxonomy.cdm.model.common.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.LanguageString;
 import eu.etaxonomy.cdm.model.description.CommonTaxonName;
 import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
+import eu.etaxonomy.cdm.model.description.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.description.TextData;
@@ -88,13 +88,13 @@ public class NormalExplicitImportTest extends CdmTransactionalIntegrationTest{
 		String inputFile = "/eu/etaxonomy/cdm/io/excel/taxa/NormalExplicitImportTest-input.xls";
 		URL url = this.getClass().getResource(inputFile);
 	 	assertNotNull("URL for the test file '" + inputFile + "' does not exist", url);
-		configurator = NormalExplicitImportConfigurator.NewInstance(url.toURI(), null, NomenclaturalCode.ICBN, null);
+		configurator = NormalExplicitImportConfigurator.NewInstance(url.toURI(), null, NomenclaturalCode.ICNAFP, null);
 		assertNotNull("Configurator could not be created", configurator);
 		
 		inputFile = "/eu/etaxonomy/cdm/io/excel/taxa/NormalExplicitImportTest.testUuid-input.xls";
 		url = this.getClass().getResource(inputFile);
 	 	assertNotNull("URL for the test file '" + inputFile + "' does not exist", url);
-		uuidConfigurator = NormalExplicitImportConfigurator.NewInstance(url.toURI(), null, NomenclaturalCode.ICBN, null);
+		uuidConfigurator = NormalExplicitImportConfigurator.NewInstance(url.toURI(), null, NomenclaturalCode.ICNAFP, null);
 		assertNotNull("Configurator could not be created", configurator);
 		
 	}
@@ -115,7 +115,7 @@ public class NormalExplicitImportTest extends CdmTransactionalIntegrationTest{
 		List<Classification> treeList = classificationService.list(null, null,null,null,null);
 		assertEquals("Number of classifications should be 1", 1, treeList.size());
 		Classification tree = treeList.get(0);
-		Set<TaxonNode> rootNodes = tree.getChildNodes();
+		List<TaxonNode> rootNodes = tree.getChildNodes();
 		assertEquals("Number of root nodes should be 1", 1, rootNodes.size());
 		TaxonNode rootNode = rootNodes.iterator().next();
 		assertEquals("Root taxon name should be Animalia", "Animalia", rootNode.getTaxon().getName().getTitleCache());
diff --git a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/CdmImporterTest.java b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/CdmImporterTest.java
index 7b1ad63273..ddf9a8d5e7 100644
--- a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/CdmImporterTest.java
+++ b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/CdmImporterTest.java
@@ -13,13 +13,9 @@ import static org.junit.Assert.assertNotNull;
 import static org.junit.Assert.fail;
 
 import java.io.InputStream;
-import java.io.InputStreamReader;
-import java.io.Reader;
-import java.net.URI;
 import java.net.URISyntaxException;
 import java.net.URL;
 import java.util.ArrayList;
-import java.util.Arrays;
 import java.util.List;
 
 import org.dbunit.Assertion;
@@ -28,10 +24,6 @@ import org.dbunit.dataset.DataSetException;
 import org.dbunit.dataset.FilteredDataSet;
 import org.dbunit.dataset.IDataSet;
 import org.dbunit.dataset.ReplacementDataSet;
-import org.dbunit.dataset.filter.ExcludeTableFilter;
-import org.dbunit.dataset.filter.IncludeTableFilter;
-import org.dbunit.dataset.xml.FlatDtdProducer;
-import org.dbunit.dataset.xml.FlatXmlDataSet;
 import org.dbunit.dataset.xml.FlatXmlDataSetBuilder;
 import org.junit.Before;
 import org.junit.Ignore;
@@ -40,7 +32,6 @@ import org.unitils.dbunit.annotation.DataSet;
 import org.unitils.dbunit.annotation.ExpectedDataSet;
 import org.unitils.spring.annotation.SpringBeanByType;
 
-import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.test.integration.CdmTransactionalIntegrationTest;
 
 public class CdmImporterTest extends CdmTransactionalIntegrationTest{
@@ -71,7 +62,7 @@ public class CdmImporterTest extends CdmTransactionalIntegrationTest{
 	@Test
 	@DataSet
 	@ExpectedDataSet("CdmImporterTest.testImport-result.xml")
-//	@Ignore
+	@Ignore
 	// 	     => create new dataset with void eu.etaxonomy.cdm.database.TestingTermInitializerTest.testPrintDataSet()
 	//		 this method has some problem though
 	/**
@@ -86,7 +77,7 @@ public class CdmImporterTest extends CdmTransactionalIntegrationTest{
 		try {
 			IDatabaseConnection databaseConnection = getConnection();
 			
-//			InputStreamReader dtdStream = CdmUtils.getUtf8ResourceReader("eu/etaxonomy/cdm/io/dataset.dtd");
+//			InputStreamReader dtdStream = CdmUtils.getUtf8ResourceReader("eu/etaxonomy/cdm/persistence/dao/hibernate/dataset.dtd");
 			
 			FlatXmlDataSetBuilder builder = new FlatXmlDataSetBuilder();
 
diff --git a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/FeatureTest.java b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/FeatureTest.java
index 5dabf9148f..56a9602924 100644
--- a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/FeatureTest.java
+++ b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/FeatureTest.java
@@ -42,9 +42,9 @@ public class FeatureTest {
 			assertNotNull("FeatureNode.feature must not be null",featureNode.getFeature());
 			assertEquals("FeatureNode.feature must equal Feature",feature,featureNode.getFeature());
 			
-			assertNotNull("FeatureNode.children must not be null",featureNode.getChildren());
-			assertFalse("FeatureNode.children must not be empty",featureNode.getChildren().isEmpty());
-			assertEquals("FeatureNode.children must have 4 child nodes",4,featureNode.getChildren().size());
+			assertNotNull("FeatureNode.children must not be null",featureNode.getChildNodes());
+			assertFalse("FeatureNode.children must not be empty",featureNode.getChildNodes().isEmpty());
+			assertEquals("FeatureNode.children must have 4 child nodes",4,featureNode.getChildNodes().size());
 			
 	    }
 }
diff --git a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/LanguageStringTest.java b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/LanguageStringTest.java
index e12d42d69f..1ad49ec0aa 100644
--- a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/LanguageStringTest.java
+++ b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/LanguageStringTest.java
@@ -8,8 +8,6 @@
 */
 package eu.etaxonomy.cdm.io.jaxb;
 
-import static org.junit.Assert.assertEquals;
-import static org.junit.Assert.assertFalse;
 import static org.junit.Assert.assertNotNull;
 
 import java.io.InputStreamReader;
@@ -17,8 +15,6 @@ import java.net.URI;
 
 import org.junit.Test;
 
-import eu.etaxonomy.cdm.model.common.Language;
-import eu.etaxonomy.cdm.model.common.LanguageString;
 import eu.etaxonomy.cdm.model.media.Media;
 
 public class LanguageStringTest {
diff --git a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/ReferenceTest.java b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/ReferenceTest.java
index c05e1149c6..17bf2f59e9 100644
--- a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/ReferenceTest.java
+++ b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/ReferenceTest.java
@@ -49,10 +49,10 @@ public class ReferenceTest {
             IArticle article = (IArticle)dataSet.getReferences().get(0);
             assertNotNull("Article must not be null",article);
 
-            IJournal journal = ((Reference)article).castReferenceToJournal();
+            IJournal journal = ((Reference<?>)article).castReferenceToJournal();
             assertEquals("Journal", journal.getType().name());
 
-            IGeneric generic = ((Reference)journal).castReferenceToGeneric();
+            IGeneric generic = ((Reference<?>)journal).castReferenceToGeneric();
             assertEquals("Generic", generic.getType().name());
 
 
